/*	Justin Fiedler et al.
	main.cpp
	Creates user window with GL window and text.  This is
	mostly jacked from Tutorial 6,7, or 8, or possibly all
	three.
*/

#include <FL/Fl_Gl_Window.h>
#include <Fl/Fl.h>
#include <Fl/Fl_Multiline_Output.h>
#include <windows.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <Fl/Fl_Double_Window.h>
#include <Fl/Fl_Button.h>
#include "stdio.h"

#include "3DUtils.H"
#include "MyWindow.h"


main()
{	//create the window
	Fl_Double_Window* wind = new Fl_Double_Window(100,100,600,400,"Programing Assignment 3");

	wind->begin();		// put widgets inside of the window
		MyWindow* gl = new MyWindow(10,10,380,380);

		Fl_Multiline_Output* out = new Fl_Multiline_Output(420,140,580-420,380-140);
		out->value("Assignment 3 UI\n\nA: Add Cube At Orgin\nC: Toggle Camera/Cube Movement\nS: Toggle Selected Cube\nT:Toggle Move Plane\nArrows Move\nSpaceBar: Animates");
	wind->end();

	wind->show();	// this actually opens the window

	// become interactive
	Fl::run();
	delete wind;

	return 1;
}